TrackerManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.TrackerManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class TrackerManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.measurement.server.session.SessionEJB
          org.hyperic.hq.measurement.server.session.TrackerManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class TrackerManagerEJBImpl

extends SessionEJB
implements javax.ejb.SessionBean

The tracker manager handles sending agents add and remove operations for the log and config track plugins.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.measurement.server.session.SessionEJB
`_mpm, DATASOURCE_NAME`

Constructor Summary
`TrackerManagerEJBImpl()`

Method Summary
`void` | `disableTrackers(AuthzSubject subject, AppdefEntityID id, ConfigResponse config)` Disable log and config tracking for a resource.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`void` | `enableTrackers(AuthzSubject subject, AppdefEntityID id, ConfigResponse config)` Enable log and config tracking for a resource if it has been enabled.
`static org.hyperic.hq.measurement.shared.TrackerManagerLocal` | `getOne()`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `toggleTrackers(AuthzSubject subject, AppdefEntityID id, ConfigResponse config)` Toggle log and config tracking for the resource.

Methods inherited from class org.hyperic.hq.measurement.server.session.SessionEJB
`checkDeletePermission, checkModifyPermission, checkTimeArguments, deleteMetricProblems, getAgent, getAgent, getAgentMan, getAuthzSubjectManager, getAvailabilityDataDAO, getBaselineDAO, getCategoryDAO, getDataMan, getInitialContext, getMeasurementDAO, getMeasurementTemplateDAO, getMetricProblemDAO, getMonitorableTypeDAO, getMPM, getProductMan, getResource, getScheduleRevNumDAO, getSRNManager, getTemplateMan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrackerManagerEJBImpl

    public TrackerManagerEJBImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate()

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

### enableTrackers

    public void enableTrackers(AuthzSubject subject,
                               AppdefEntityID id,
                               ConfigResponse config)
                        throws PermissionException,
                               PluginException

  Enable log and config tracking for a resource if it has been enabled.

  Throws:
    `PermissionException`
    `PluginException`

### disableTrackers

    public void disableTrackers(AuthzSubject subject,
                                AppdefEntityID id,
                                ConfigResponse config)
                         throws PermissionException,
                                PluginException

  Disable log and config tracking for a resource.

  Throws:
    `PermissionException`
    `PluginException`

### toggleTrackers

    public void toggleTrackers(AuthzSubject subject,
                               AppdefEntityID id,
                               ConfigResponse config)
                        throws PermissionException,
                               PluginException

  Toggle log and config tracking for the resource.

  Throws:
    `PermissionException`
    `PluginException`

### getOne

    public static org.hyperic.hq.measurement.shared.TrackerManagerLocal getOne()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.